%undefine __cmake_in_source_build
%global framework kjs
Name:    	kf5-%{framework}
Version: 	5.115.0
Release: 	1
Summary: 	KDE Frameworks 5 Tier 3 functional module with JavaScript interpreter

License: 	GPL-2.0-or-later and BSD
URL:     	https://invent.kde.org/frameworks/%{framework}

%global majmin %(echo %{version} | cut -d. -f1-2)
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kdoctools-devel >= %{majmin}
BuildRequires:  kf5-rpm-macros
BuildRequires:  pcre-devel
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  qt5-qtbase-devel

%description
KDE Frameworks 1 Tier 1 functional module with JavaScript interpret.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
%make_build -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

chmod +x %{buildroot}%{_kf5_datadir}/kf5/kjs/create_hash_table

%find_lang %{name} --with-man --all-name


%ldconfig_scriptlets

%files -f %{name}.lang
%doc README.md
%license COPYING.LIB
%{_kf5_bindir}/kjs5
%{_kf5_libdir}/libKF5JS.so.*
%{_kf5_libdir}/libKF5JSApi.so.*
%{_mandir}/man1/kjs5.1*

%files devel
%dir %{_kf5_datadir}/kf5/kjs/
%{_kf5_datadir}/kf5/kjs/create_hash_table
%{_kf5_includedir}/kjs_version.h
%{_kf5_includedir}/kjs/
%{_kf5_includedir}/wtf/
%{_kf5_libdir}/libKF5JS.so
%{_kf5_libdir}/libKF5JSApi.so
%{_kf5_libdir}/cmake/KF5JS/
%{_kf5_archdatadir}/mkspecs/modules/qt_KJS.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KJSApi.pri

%changelog
* Mon Mar 04 2024 peijiankang <peijiankang@kylinos.cn> - 5.115.0-1
- update verison to 5.115.0

* Mon Jan 08 2024 peijiankang <peijiankang@kylinos.cn> - 5.113.0-1
- update verison to 5.113.0

* Thu Aug 03 2023 konglidong <konglidong@uniontech.com> - 5.108.0-1
- update to upstream version 5.108.0

* Mon Dec 12 2022 wangjunqi <wangjunqi@kylinos.cn> - 5.100.0-1
- Update to upstream version 5.100.0

* Tue Oct 11 2022 misaka00251 <misaka00251@misakanet.cn> - 5.97.0-1
- Update to upstream version 5.97.0

* Tue Jul 05 2022 tanyulong<tanyulong@kylinos.cn> - 5.95.0-1
- update to upstream version 5.95.0

* Sat Feb 12 2022 tanyulong<tanyulong@kylinos.cn> - 5.90.0-1
- update to upstream version 5.90.0

* Mon Jan 24 2022 pei-jiankang<peijiankang@kylinos.com> - 5.88.0-1
- update to upstream version 5.88.0

* Fri Sep 10 2021 baizhonggui <baizhonggui@huawei.com> - 5.55.0-1
- Package init
